{*****************************************************************************}
{                                                                             }
{   This file is part of the LKRecords components Library                     }
{                                                                             }
{   See the file COPYING.LGPL.txt included in this distribution,              }
{   for details about the Licence and Copyright.                              }
{                                                                             }
{   This code is distributed in the hope that it will be useful,              }
{   but WITHOUT ANY WARRANTY; without even the implied warranty of            }
{   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                      }
{                                                                             }
{   Author: Leslie John Kaye :    www.leskaye.com                             }
{                                                                             }
{   Abstract:                                                                 }
{      Find dialog used by TLKDataComponent                                   }
{                                                                             }
{*****************************************************************************}

unit LKFindDg;

interface

uses Windows, SysUtils, Classes, Graphics, Forms, Controls, StdCtrls,
  Buttons, ExtCtrls, DB,DBTables,dialogs,LKRecordsComponents,LKDefine;

type
  TFormAcFindDialog = class(TForm)
    OKBtn: TButton;
    CancelBtn: TButton;
    Bevel1: TBevel;
    cbxFields: TComboBox;
    Label1: TLabel;
    eDetails: TEdit;
    Label2: TLabel;
    xBxPart: TCheckBox;
    xBxCase: TCheckBox;
  private
    { Private declarations }
    myTable : TLKTable;
  public
    { Public declarations }
    procedure Construct(Sender: TLKTable); virtual;
  end;

var
  FormAcFindDialog: TFormAcFindDialog;

implementation

{$R *.DFM}


procedure TFormAcFindDialog.Construct(Sender: TLKTable);
begin
myTable := Sender;
myTable.GetFieldNames(cbxFields.items);
caption := 'Find ' + myTable.TableName;
end;

end.
