{*****************************************************************************}
{                                                                             }
{   This file is part of the LKCRMBase components Library                     }
{                                                                             }
{   See the file COPYING.LGPL.txt included in this distribution,              }
{   for details about the Licence and Copyright.                              }
{                                                                             }
{   This code is distributed in the hope that it will be useful,              }
{   but WITHOUT ANY WARRANTY; without even the implied warranty of            }
{   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                      }
{                                                                             }
{   Author: Leslie John Kaye :    www.leskaye.com                             }
{                                                                             }
{   Abstract:                                                                 }
{      Form to show a TLKRecordsOrderEntry                                    }
{                                                                             }
{*****************************************************************************}

unit LKDocumentsOrderEntryDlg;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Menus, ImgList, ActnList, DB, StdCtrls,
  ComCtrls, DBCtrls, Buttons, ExtCtrls, ToolWin,
  LKRecordsComponents, LKRecordsPostingDlg, LKdlgs, LKCRMBaseComponents,
  JvExExtCtrls, JvNetscapeSplitter, StdActns, LKDBControls,
  LKUtilComponents, Grids, DBGrids, JvExDBGrids, JvDBGrid, JvDBUltimGrid;

type
  TFormLKDocumentsOrderEntry = class(TFormLKRecordsPosting)
    ActionNewSalesInvoice: TAction;
    NewInvoice1: TMenuItem;
    sbInvoiceJob: TToolButton;
    procedure ActionNewSalesInvoiceExecute(Sender: TObject);
  private
    { Private declarations }
    FMyAccountsComponent: TLKRecordsOrderEntry;
  public
    { Public declarations }
    procedure Construct(Sender: TLKRecordsOrderEntry);
  end;

var
  FormLKDocumentsOrderEntry: TFormLKDocumentsOrderEntry;

implementation

{$R *.dfm}

procedure TFormLKDocumentsOrderEntry.Construct(Sender: TLKRecordsOrderEntry);
begin
  FMyAccountsComponent := Sender;
  inherited Construct(Sender);
end;

procedure TFormLKDocumentsOrderEntry.ActionNewSalesInvoiceExecute(Sender: TObject);
begin
  FMyAccountsComponent.DlgNewInvoiceWizardExecute;
end;

end.

