{*****************************************************************************}
{                                                                             }
{   This file is part of the LKCRMBase components Library                     }
{                                                                             }
{   See the file COPYING.LGPL.txt included in this distribution,              }
{   for details about the Licence and Copyright.                              }
{                                                                             }
{   This code is distributed in the hope that it will be useful,              }
{   but WITHOUT ANY WARRANTY; without even the implied warranty of            }
{   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                      }
{                                                                             }
{   Author: Leslie John Kaye :    www.leskaye.com                             }
{                                                                             }
{   Abstract:                                                                 }
{      Form to show a TLKPricesBase                                           }
{                                                                             }
{*****************************************************************************}

unit LKPricesBaseInputRecordDlg;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, LKRecordsInputRecordDlg, Menus, ImgList, ActnList, DB, StdActns,
  StdCtrls, ExtCtrls, ComCtrls, DBCtrls, Buttons, ToolWin, Grids, DBGrids,
  LKCRMBaseComponents, LKdlgs, LKDBControls, LKUtilComponents,
  JvExDBGrids, JvDBGrid, JvDBUltimGrid;

type
  TFormLKPricesBaseInputRecord = class(TFormLKRecordsInputRecord)
    ActionCopyItemsFrom: TAction;
    Copyfrom1: TMenuItem;
    SBCopyFrom: TToolButton;
    procedure ActionCopyItemsFromExecute(Sender: TObject);
  private
    { Private declarations }
    FMyAccountsComponent: TLKPricesBase;
  protected
  public
    { Public declarations }
    procedure Construct(Sender: TLKPricesBase);
  end;

var
  FormLKPricesBaseInputRecord: TFormLKPricesBaseInputRecord;

implementation

uses LKUtils, LKDefine;

{$R *.dfm}

procedure TFormLKPricesBaseInputRecord.Construct(Sender: TLKPricesBase);
begin
  FMyAccountsComponent := Sender;
  inherited Construct(Sender);
end;

procedure TFormLKPricesBaseInputRecord.ActionCopyItemsFromExecute(
  Sender: TObject);
begin
  inherited;
  FMyAccountsComponent.DlgCopyPriceItemsFromExecute(Self);
end;

end.

