unit LKServiceQuotationCopyFromDlg;

interface

uses Windows, SysUtils, Classes, Graphics, Forms, Controls, StdCtrls,
  Buttons, ExtCtrls, Grids, DBGrids, DBCtrls, Db,
  LKCoreComponents, LKServiceComponents, 
  LKBaseComponent, LKAccountsComponents;

type
  TDlgLKServiceQuotationCopyFrom = class(TForm)
    OKBtn: TButton;
    CancelBtn: TButton;
    Label1: TLabel;
    Label2: TLabel;
    DBText2: TDBText;
    DBText3: TDBText;
    DBGrid1: TDBGrid;
    DBGrid2: TDBGrid;
    EnquirySearchSBtn: TSpeedButton;
    CopyQuotationsDS: TDataSource;
    CopyQuotationsDtlDS: TDataSource;
    QuotationsDS: TDataSource;
    DBText1: TDBText;
    procedure EnquirySearchSBtnClick(Sender: TObject);
    procedure OKBtnClick(Sender: TObject);
  private
    { Private declarations }
    FCopyQuotations: TLKDocuments;
    FMyQuotations: TLKDataComponent;
  public
    { Public declarations }
    procedure Construct(Sender: TLKDataComponent); virtual;

  end;

var
  DlgLKServiceQuotationCopyFrom: TDlgLKServiceQuotationCopyFrom;

implementation

uses LKUtils;

{$R *.DFM}

procedure TDlgLKServiceQuotationCopyFrom.Construct(Sender: TLKDataComponent);
begin
  FMyQuotations := Sender;
  FMyQuotations.tMasterDataSource := QuotationsDS;
  FCopyQuotations := TLKDocuments.Create(Self);
  with FCopyQuotations do
  begin
    Assign(FMyQuotations);
    Name := 'CopyQuotations';
    tMasterDataSource := CopyQuotationsDS;
    tDetailDataSource := CopyQuotationsDtlDS;
    Open;
  end;
end;

procedure TDlgLKServiceQuotationCopyFrom.EnquirySearchSBtnClick(Sender:
  TObject);
begin
  FCopyQuotations.DlgFindExecute('');
end;

procedure TDlgLKServiceQuotationCopyFrom.OKBtnClick(Sender: TObject);
var
  I: integer;
  IndexFieldList: TStringList;
begin
  IndexFieldList := TStringList.Create;
  try
    DelimitedStringToList(FMyQuotations.tDetailMasterFields, ';',
      IndexFieldList);
    if FCopyQuotations.TblDetail.FindFirst then
      with FMyQuotations.TblDetail do
        repeat
          Append;
          {
          with IndexFieldList do for i := 0 to Count - 1 do
           Fields[i].Value := myQuotations.TblMaster.FieldByName(Items[i]).Value;
           }
          for I := IndexFieldList.Count to FieldCount - 1 do
            if not FCopyQuotations.TblDetail.Fields[I].IsNull then
              Fields[I].Value := FCopyQuotations.TblDetail.Fields[I].Value;
          Post;
        until not FCopyQuotations.TblDetail.FindNext;
    FMyQuotations.ApplyUpdates(0);
    FCopyQuotations.close;
  finally IndexFieldList.Free;
  end;
end;

end.

