unit LKServiceQuotationDlg;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, LKPricesBaseInputRecordDlg, Menus, ImgList, ActnList, DB, StdCtrls,
  ComCtrls, DBCtrls, Buttons, ExtCtrls, ToolWin,
  LKCoreComponents, LKServiceComponents, LKdlgs, JvExExtCtrls,
  JvNetscapeSplitter, StdActns, LKDBGridControler, LKJvDBEdits,
  LKUtilComponents, Grids, DBGrids, JvExDBGrids, JvDBGrid, JvDBUltimGrid,
  LKDBEdits;

type
  TFormLKServiceQuotation = class(TFormLKPricesBaseInputRecord)
    ActionNewInputJobCard: TAction;
    procedure ActionNewInputJobCardExecute(Sender: TObject);
  private
    { Private declarations }
    FMyAccountsComponent: TLKServiceQuotations;
  public
    { Public declarations }
    procedure Construct(Sender: TLKServiceQuotations);
  end;

var
  FormLKServiceQuotation: TFormLKServiceQuotation;

implementation

{$R *.dfm}

procedure TFormLKServiceQuotation.Construct(Sender: TLKServiceQuotations);
var
  I, X: Integer;
  S: string;
  NewAction: TAction;
  NewMenuitem: TMenuItem;
begin
  FMyAccountsComponent := Sender;
  inherited Construct(Sender);
  with FMyAccountsComponent do
  begin
    with ChildComponents do
      for I := 0 to Count - 1 do
        if (ChildComponents[I] is TLKServiceJobCards) then
          with TLKServiceJobCards(ChildComponents[I]) do
          begin
            NewAction := TAction.Create(Self);
            with NewAction do
            begin
              ActionList := ActionListAcsComp;
              S := NameFriendly;
              if S[length(S)] = 's' then
                System.Delete(S, length(S), 1);
              Caption := S;
              Hint := 'Enter new document';
              ImageIndex := 14;
              Tag := I;
              OnExecute := ActionNewInputJobCardExecute;
            end;
            NewMenuitem := TMenuitem.create(miActivities);
            NewMenuitem.Action := NewAction;
            miActivities.Add(NewMenuitem);
            NewMenuitem := TMenuitem.create(PopupMenu1);
            NewMenuitem.Action := NewAction;
            PopupMenu1.Items.Add(NewMenuitem);
            with ToolBar1.Buttons[ToolBar1.ButtonCount - 1] do
              X := Left + Width + 1;
            with TToolButton.Create(Self) do
            begin
              Left := X;
              Action := NewAction;
              Parent := Toolbar1;
            end;
          end;
  end;
end;

procedure TFormLKServiceQuotation.ActionNewInputJobCardExecute(
  Sender: TObject);
begin
  inherited;
  TLKServiceJobCards(FMyAccountsComponent.ChildComponents[TComponent(Sender).Tag]).RecordNew;
end;

end.

