{*****************************************************************************}
{                                                                             }
{   This file is part of the LKAccounts components Library                    }
{                                                                             }
{   See the file COPYING.LGPL.txt included in this distribution,              }
{   for details about the Licence and Copyright.                              }
{                                                                             }
{   This code is distributed in the hope that it will be useful,              }
{   but WITHOUT ANY WARRANTY; without even the implied warranty of            }
{   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                      }
{                                                                             }
{   Author: Leslie John Kaye :    www.leskaye.com                             }
{                                                                             }
{   Abstract:                                                                 }
{      Form for display of a TLKDocumentsSalesInvoices                        }
{                                                                             }
{*****************************************************************************}

unit LKDocumentsSalesInvoicesDlg;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, LKDocumentsSalesTaxDlg, Menus, ImgList, ActnList, DB,
  StdCtrls, ComCtrls, DBCtrls, Buttons, ExtCtrls, ToolWin,
  LKRecordsComponents, LKAccountsComponents, LKdlgs, JvExExtCtrls,
  JvNetscapeSplitter, StdActns, LKDBControls,
  LKUtilComponents, Grids, DBGrids, JvExDBGrids, JvDBGrid, JvDBUltimGrid;

type
  TFormLKDocumentsSalesInvoices = class(TFormLKDocumentsSalesTax)
    ActionDlgSetSalesNomCode: TAction;
    DefaultNominalcodes1: TMenuItem;
    procedure ActionDlgSetSalesNomCodeExecute(Sender: TObject);
  private
    { Private declarations }
    FMyAccountsComponent: TLKDocumentsSalesInvoices;
  public
    { Public declarations }
    procedure Construct(Sender: TLKDocumentsSalesInvoices);
  end;

var
  FormLKDocumentsSalesInvoices: TFormLKDocumentsSalesInvoices;

implementation

{$R *.dfm}

procedure TFormLKDocumentsSalesInvoices.Construct(Sender: TLKDocumentsSalesInvoices);
begin
  FMyAccountsComponent := Sender;
  inherited Construct(Sender);
end;

procedure TFormLKDocumentsSalesInvoices.ActionDlgSetSalesNomCodeExecute(
  Sender: TObject);
begin
  FMyAccountsComponent.DlgSetupExecute;
end;

end.

