{*****************************************************************************}
{                                                                             }
{   This file is part of the LKAccounts components Library                    }
{                                                                             }
{   See the file COPYING.LGPL.txt included in this distribution,              }
{   for details about the Licence and Copyright.                              }
{                                                                             }
{   This code is distributed in the hope that it will be useful,              }
{   but WITHOUT ANY WARRANTY; without even the implied warranty of            }
{   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                      }
{                                                                             }
{   Author: Leslie John Kaye :    www.leskaye.com                             }
{                                                                             }
{   Abstract:                                                                 }
{      Form for display of a TLKJournal                                       }
{                                                                             }
{*****************************************************************************}

unit LKJournalDlg;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, LKRecordsPostingDlg, Menus, ImgList, ActnList, DB, StdCtrls,
  DBCtrls, ExtCtrls, ComCtrls, Buttons, ToolWin, StdActns, Grids, DBGrids,
  JvExExtCtrls, JvNetscapeSplitter, JvExDBGrids, JvDBGrid, JvDBUltimGrid,
  LKRecordsComponents, LKAccountsComponents, LKdlgs, LKDBControls,
  LKUtilComponents;

type
  TFormLKJournal = class(TFormLKRecordsPosting)
  private
    { Private declarations }
    FMyAccountsComponent: TLKJournal;
  public
    { Public declarations }
    procedure Construct(Sender: TLKJournal);
  end;

var
  FormLKJournal: TFormLKJournal;

implementation

{$R *.dfm}

procedure TFormLKJournal.Construct(Sender: TLKJournal);
begin
  FMyAccountsComponent := Sender;
  inherited Construct(Sender);
end;

end.

