{*****************************************************************************}
{                                                                             }
{   This file is part of the LKAccounts components Library                    }
{                                                                             }
{   See the file COPYING.LGPL.txt included in this distribution,              }
{   for details about the Licence and Copyright.                              }
{                                                                             }
{   This code is distributed in the hope that it will be useful,              }
{   but WITHOUT ANY WARRANTY; without even the implied warranty of            }
{   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                      }
{                                                                             }
{   Author: Leslie John Kaye :    www.leskaye.com                             }
{                                                                             }
{   Abstract:                                                                 }
{      Form for display of a TLKLedgerNominal                                 }
{                                                                             }
{*****************************************************************************}

unit LKLedgerNominalDlg;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ImgList, Menus, ActnList, Db, StdCtrls, Buttons, DBCtrls,
  ToolWin, ComCtrls, ExtCtrls, Variants,
  LKRecordsComponents, LKAccountsComponents, LKLedgerAnalysisDlg, LKdlgs,
  JvExExtCtrls, JvNetscapeSplitter, StdActns, LKDBControls,
  LKUtilComponents, Grids, DBGrids, JvExDBGrids, JvDBGrid, JvDBUltimGrid;

type
  TFormLKLedgerNominal = class(TFormLKAnalysisLedger)
  private
    { Private declarations }
    FMyAccountsComponent: TLKLedgerNominal;
  public
    { Public declarations }
    procedure Construct(Sender: TLKLedgerNominal);
  end;

implementation

{$R *.DFM}

procedure TFormLKLedgerNominal.Construct(Sender: TLKLedgerNominal);
begin
  FMyAccountsComponent := Sender;
  inherited Construct(Sender);
end;

end.

