{*****************************************************************************}
{                                                                             }
{   This file is part of the LKAccounts components Library                    }
{                                                                             }
{   See the file COPYING.LGPL.txt included in this distribution,              }
{   for details about the Licence and Copyright.                              }
{                                                                             }
{   This code is distributed in the hope that it will be useful,              }
{   but WITHOUT ANY WARRANTY; without even the implied warranty of            }
{   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                      }
{                                                                             }
{   Author: Leslie John Kaye :    www.leskaye.com                             }
{                                                                             }
{   Abstract:                                                                 }
{      Form for display of a TLKLedgerPurchase                                }
{                                                                             }
{*****************************************************************************}

unit LKLedgerPurchaseDlg;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ActnList, ImgList, Menus, DB, Grids, DBGrids, StdActns, StdCtrls,
  ComCtrls, DBCtrls, Buttons, ExtCtrls, ToolWin, JvExExtCtrls, JvExDBGrids,
  JvNetscapeSplitter, JvDBGrid, JvDBUltimGrid, LKDBControls, LKUtilComponents,
  LKdlgs, LKRecordsComponents, LKAccountsComponents, LKLedgerContactDlg;

type
  TFormLKLedgerPurchase = class(TFormLKLedgerContact)
    ActionRunPayments: TAction;
    ActionDrawCheque: TAction;
    Cheque1: TMenuItem;
    Cheque2: TMenuItem;
    sbCheque: TToolButton;
    procedure ActionRunPaymentsExecute(Sender: TObject);
    procedure ActionDrawChequeExecute(Sender: TObject);
  private
    { Private declarations }
    FMyAccountsComponent: TLKLedgerPurchase;
  public
    { Public declarations }
    procedure Construct(Sender: TLKLedgerPurchase);
  end;

var
  FormLKLedgerPurchase: TFormLKLedgerPurchase;

implementation

{$R *.dfm}

procedure TFormLKLedgerPurchase.ActionRunPaymentsExecute(Sender: TObject);
begin
  inherited;
  //to do:
end;

procedure TFormLKLedgerPurchase.ActionDrawChequeExecute(Sender: TObject);
begin
  FMyAccountsComponent.DrawCheque(Self);
end;

procedure TFormLKLedgerPurchase.Construct(Sender: TLKLedgerPurchase);
begin
  FMyAccountsComponent := Sender;
  inherited Construct(Sender);
end;

end.

