{*****************************************************************************}
{                                                                             }
{   This file is part of the LKRecords components Library                     }
{                                                                             }
{   See the file COPYING.LGPL.txt included in this distribution,              }
{   for details about the Licence and Copyright.                              }
{                                                                             }
{   This code is distributed in the hope that it will be useful,              }
{   but WITHOUT ANY WARRANTY; without even the implied warranty of            }
{   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                      }
{                                                                             }
{   Author: Leslie John Kaye :    www.leskaye.com                             }
{                                                                             }
{   Abstract:                                                                 }
{      Form for input a username and password                                 }
{                                                                             }
{*****************************************************************************}

unit LKHubEnterPasswdDlg;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, LKFormBaseDlg, StdCtrls, ImgList, ActnList;

type
  TFormLKHubEnterPasswd = class(TFormLKBase)
    Label1: TLabel;
    eUserName: TEdit;
    Label2: TLabel;
    ePasswd: TEdit;
    btnOK: TButton;
    btnCancel: TButton;
    procedure eUserNameExit(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FormLKHubEnterPasswd: TFormLKHubEnterPasswd;

implementation

{$R *.dfm}

procedure TFormLKHubEnterPasswd.FormShow(Sender: TObject);
begin
  inherited;
  if (eUserName.Text = '') then
    ActiveControl := eUserName
  else ActiveControl := ePasswd;
end;

procedure TFormLKHubEnterPasswd.eUserNameExit(Sender: TObject);
begin
  inherited;
  eUserName.Text := Uppercase(eUserName.Text);
end;


end.
