{*****************************************************************************}
{                                                                             }
{   This file is part of the LKUtilities components Library                   }
{                                                                             }
{   See the file COPYING.LGPL.txt included in this distribution,              }
{   for details about the Licence and Copyright.                              }
{                                                                             }
{   This code is distributed in the hope that it will be useful,              }
{   but WITHOUT ANY WARRANTY; without even the implied warranty of            }
{   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                      }
{                                                                             }
{   Author: Leslie John Kaye :    www.leskaye.com                             }
{                                                                             }
{   Abstract:                                                                 }
{      Base form for a wizard.                                                  }
{                                                                             }
{*****************************************************************************}

unit LKHeaderDlg;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, LKFormBaseDlg, StdCtrls, ExtCtrls, LKBaseComponent, ImgList, ActnList;

type
  TFormLKHeaderDlg = class(TFormLKBase)
    LKHeaderPanel1: TLKHeaderPanel;
    Panel1: TPanel;
    BtnOK: TButton;
    BtnApply: TButton;
    BtnCancel: TButton;
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FormLKHeaderDlg: TFormLKHeaderDlg;

implementation

{$R *.dfm}

end.
