{*****************************************************************************}
{                                                                             }
{   This file is part of the LKUtilities components Library                   }
{                                                                             }
{   See the file COPYING.LGPL.txt included in this distribution,              }
{   for details about the Licence and Copyright.                              }
{                                                                             }
{   This code is distributed in the hope that it will be useful,              }
{   but WITHOUT ANY WARRANTY; without even the implied warranty of            }
{   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                      }
{                                                                             }
{   Author: Leslie John Kaye :    www.leskaye.com                             }
{                                                                             }
{   Abstract:                                                                 }
{      Form to show a TLKProgressDialog.                                      }
{                                                                             }
{*****************************************************************************}

unit LKProgressDlg;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ComCtrls;

type
//  PointerBoolean = ^boolean;

  TDlgLKProgress = class(TForm)
    lProgress: TLabel;
    ProgressBar1: TProgressBar;
    Button1: TButton;
    StatusBar1: TStatusBar;
    procedure Button1Click(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    Aborted: boolean;
  end;

implementation

{$R *.dfm}

procedure TDlgLKProgress.Button1Click(Sender: TObject);
begin
  Aborted := True;
  Close;
end;

procedure TDlgLKProgress.FormShow(Sender: TObject);
begin
  Aborted := False;
end;

end.

