unit LKServiceQuotationInputRecordDlg;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, LKPricesBaseInputRecordDlg, Menus, ImgList, ActnList, DB,
  StdCtrls, ExtCtrls, ComCtrls, DBCtrls, Buttons, ToolWin,
  LKCoreComponents, LKServiceComponents, LKdlgs, 
  StdActns, LKDBGridControler, LKJvDBEdits, LKUtilComponents, Grids, DBGrids,
  JvExDBGrids, JvDBGrid, JvDBUltimGrid, LKDBEdits;

type
  TFormLKServiceQuotationInputRecord = class(TFormLKPricesBaseInputRecord)
    ActionUpdateJobPrices: TAction;
    UpdateJobprices1: TMenuItem;
    ActionNewInputJobCard: TAction;
    procedure ActionUpdateJobPricesExecute(Sender: TObject);
  private
    { Private declarations }
    FMyAccountsComponent: TLKServiceQuotations;
  protected
    JobCards: TLKDataComponent;
  public
    { Public declarations }
    procedure Construct(Sender: TLKServiceQuotations); 
  end;

var
  FormLKServiceQuotationInputRecord: TFormLKServiceQuotationInputRecord;

implementation

{$R *.dfm}

procedure TFormLKServiceQuotationInputRecord.Construct(Sender:
  TLKServiceQuotations);
var
  I: Integer;
begin
  FMyAccountsComponent := Sender;
  inherited Construct(Sender);
  JobCards := nil;
  with FMyAccountsComponent do
  begin
    with ChildComponents do
      if (Count > 0) then
      begin
        for I := 0 to Count - 1 do
          if (TComponent(ChildComponents[I]) is TLKServiceJobCards) then
          begin
            JobCards := TLKServiceJobCards(ChildComponents[I]);
            Break;
          end;
      end;
  end;
  ActionUpdateJobPrices.Visible := Assigned(JobCards);
  ActionNewInputJobCard.Visible := Assigned(JobCards);
end;

procedure TFormLKServiceQuotationInputRecord.ActionUpdateJobPricesExecute(
  Sender: TObject);
begin
  inherited;
  FMyAccountsComponent.DlgUpdateJobPricesExecute;
end;

end.

