{*****************************************************************************}
{                                                                             }
{   This file is part of the installer program executable                     }
{                                                                             }
{   See the file COPYING.GPL.txt included in this distribution,               }
{   for details about the Licence and Copyright.                              }
{                                                                             }
{   This code is distributed in the hope that it will be useful,              }
{   but WITHOUT ANY WARRANTY; without even the implied warranty of            }
{   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                      }
{                                                                             }
{   Author: Leslie John Kaye :    www.leskaye.com                             }
{                                                                             }
{   Abstract:                                                                 }
{      Form to show your End User Licence Agreement  EULA.rtf                 }
{                                                                             }
{*****************************************************************************}


unit EULADlg;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, StdCtrls, ComCtrls;

type
  TFormEULA = class(TForm)
    Panel1: TPanel;
    Panel2: TPanel;
    RichEdit1: TRichEdit;
    btnDecline: TButton;
    btnAccept: TButton;
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FormEULA: TFormEULA;

implementation

{$R *.dfm}

procedure TFormEULA.FormShow(Sender: TObject);
begin
RichEdit1.Lines.LoadFromFile('.\EULA.rtf');
end;

end.
